Package com.ocient.jdbc.proto

## Class PlanProtocol.SortPartition

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.ocient.jdbc.proto.PlanProtocol.SortPartition

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.SortPartitionOrBuilder`, `Serializable`

Enclosing class:
  PlanProtocol

    public static final class PlanProtocol.SortPartition
    extends com.google.protobuf.GeneratedMessageV3
    implements PlanProtocol.SortPartitionOrBuilder

Protobuf type `xg.db.sqlPlans.SortPartition`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `PlanProtocol.SortPartition.Builder` Protobuf type `xg.db.sqlPlans.SortPartition`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `DENORMVAL_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`static PlanProtocol.SortPartition` `getDefaultInstance()`
`PlanProtocol.SortPartition` `getDefaultInstanceForType()`
`float` `getDenormVal​(int index)` The values are guaranteed to be in sort key order There may not be a value for all sort keys though For example, there may only be a value for the first sort key, which means we can partition only on that and we don't need to worry about subsequent sort keys All partitions are closed on the lower side and open on the higher side
`int` `getDenormValCount()` The values are guaranteed to be in sort key order There may not be a value for all sort keys though For example, there may only be a value for the first sort key, which means we can partition only on that and we don't need to worry about subsequent sort keys All partitions are closed on the lower side and open on the higher side
`List<Float>` `getDenormValList()` The values are guaranteed to be in sort key order There may not be a value for all sort keys though For example, there may only be a value for the first sort key, which means we can partition only on that and we don't need to worry about subsequent sort keys All partitions are closed on the lower side and open on the higher side
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Parser<PlanProtocol.SortPartition>` `getParserForType()`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static PlanProtocol.SortPartition.Builder` `newBuilder()`
`static PlanProtocol.SortPartition.Builder` `newBuilder​(PlanProtocol.SortPartition prototype)`
`PlanProtocol.SortPartition.Builder` `newBuilderForType()`
`protected PlanProtocol.SortPartition.Builder` `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static PlanProtocol.SortPartition` `parseDelimitedFrom​(InputStream input)`
`static PlanProtocol.SortPartition` `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SortPartition` `parseFrom​(byte[] data)`
`static PlanProtocol.SortPartition` `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SortPartition` `parseFrom​(com.google.protobuf.ByteString data)`
`static PlanProtocol.SortPartition` `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SortPartition` `parseFrom​(com.google.protobuf.CodedInputStream input)`
`static PlanProtocol.SortPartition` `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SortPartition` `parseFrom​(InputStream input)`
`static PlanProtocol.SortPartition` `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PlanProtocol.SortPartition` `parseFrom​(ByteBuffer data)`
`static PlanProtocol.SortPartition` `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<PlanProtocol.SortPartition>` `parser()`
`PlanProtocol.SortPartition.Builder` `toBuilder()`
`void` `writeTo​(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Field Detail

#### DENORMVAL_FIELD_NUMBER

    public static final int DENORMVAL_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getDenormValList

    public List<Float> getDenormValList()

    The values are guaranteed to be in sort key order
    There may not be a value for all sort keys though
    For example, there may only be a value for the first sort
    key, which means we can partition only on that
    and we don't need to worry about subsequent sort keys
    All partitions are closed on the lower side and open on the higher side

`repeated float denormVal = 1;`

Specified by:
  `getDenormValList` in interface `PlanProtocol.SortPartitionOrBuilder`
Returns:
  A list containing the denormVal.

#### getDenormValCount

    public int getDenormValCount()

    The values are guaranteed to be in sort key order
    There may not be a value for all sort keys though
    For example, there may only be a value for the first sort
    key, which means we can partition only on that
    and we don't need to worry about subsequent sort keys
    All partitions are closed on the lower side and open on the higher side

`repeated float denormVal = 1;`

Specified by:
  `getDenormValCount` in interface `PlanProtocol.SortPartitionOrBuilder`
Returns:
  The count of denormVal.

#### getDenormVal

    public float getDenormVal​(int index)

    The values are guaranteed to be in sort key order
    There may not be a value for all sort keys though
    For example, there may only be a value for the first sort
    key, which means we can partition only on that
    and we don't need to worry about subsequent sort keys
    All partitions are closed on the lower side and open on the higher side

`repeated float denormVal = 1;`

Specified by:
  `getDenormVal` in interface `PlanProtocol.SortPartitionOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The denormVal at the given index.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo​(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static PlanProtocol.SortPartition parseFrom​(ByteBuffer data)
                                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SortPartition parseFrom​(ByteBuffer data,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SortPartition parseFrom​(com.google.protobuf.ByteString data)
                                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SortPartition parseFrom​(com.google.protobuf.ByteString data,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SortPartition parseFrom​(byte[] data)
                                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SortPartition parseFrom​(byte[] data,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static PlanProtocol.SortPartition parseFrom​(InputStream input)
                                                throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.SortPartition parseFrom​(InputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static PlanProtocol.SortPartition parseDelimitedFrom​(InputStream input)
                                                         throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static PlanProtocol.SortPartition parseDelimitedFrom​(InputStream input,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.SortPartition parseFrom​(com.google.protobuf.CodedInputStream input)
                                                throws IOException

Throws:
  `IOException`

#### parseFrom

    public static PlanProtocol.SortPartition parseFrom​(com.google.protobuf.CodedInputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public PlanProtocol.SortPartition.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static PlanProtocol.SortPartition.Builder newBuilder()

#### newBuilder

    public static PlanProtocol.SortPartition.Builder newBuilder​(PlanProtocol.SortPartition prototype)

#### toBuilder

    public PlanProtocol.SortPartition.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected PlanProtocol.SortPartition.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static PlanProtocol.SortPartition getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<PlanProtocol.SortPartition> parser()

#### getParserForType

    public com.google.protobuf.Parser<PlanProtocol.SortPartition> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public PlanProtocol.SortPartition getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`